List of User Field Values
info
This method is available only for fields with the following types: Dropdown list (select), Related fields (hierarchy), Multi-button (multi_button)
GET /users/custom_fields/:field_id/options/
URL Example
https://system_domain/api/v2/users/custom_fields/123/options/?page=1
PATH Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
field_id | number | Yes | ID of the custom field |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
page | number | No | Page number (50 values are displayed per page) |
Response Example:
Response Example
{
"data": [
{
"id": 5,
"pid": 0,
"name": {
"en": "First option",
"ru": "Первое значение"
}
},
{
"id": 6,
"pid": 0,
"name": {
"en": "Second option",
"ru": "Второе значение"
}
}
],
"pagination": {
"total": 2,
"per_page": 50,
"current_page": 1,
"total_pages": 1
}
}